Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Dispatching Class Reference

Define the interface for the dispatching strategies. More...

`#include <CEC_Dispatching.h>`

Inheritance diagram for TAO_CEC_Dispatching

[legend]
List of all members.

## Public Methods
virtual | ~TAO_CEC_Dispatching (void)
| destructor...
virtual void | activate (void) = 0
| Initialize all the data structures, activate any internal threads, etc.
virtual void | shutdown (void) = 0
virtual void | push (TAO_CEC_ProxyPushSupplier *proxy, const CORBA::Any &event, CORBA::Environment &env = TAO_default_environment ()) = 0
| The consumer represented by <proxy> should receive <event>.
virtual void | push_nocopy (TAO_CEC_ProxyPushSupplier *proxy, CORBA::Any &event, CORBA::Environment &env = TAO_default_environment ()) = 0

## Detailed Description

Define the interface for the dispatching strategies.

The EC may be configured with different dispatching strategies, for instance, it can use a pool of threads to dispatch the events, or a set of queues with threads at different priorities for each queue or can simply push the event to the consumer in FIFO order.

## Constructor & Destructor Documentation

TAO_CEC_Dispatching::~TAO_CEC_Dispatching ( | void )`[virtual]`

| destructor...

## Member Function Documentation

void TAO_CEC_Dispatching::activate ( | void )`[pure virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented in TAO_CEC_Reactive_Dispatching, and TAO_CEC_MT_Dispatching.

void TAO_CEC_Dispatching::push ( | TAO_CEC_ProxyPushSupplier * proxy,
| const CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| The consumer represented by <proxy> should receive <event>. Reimplemented in TAO_CEC_Reactive_Dispatching, and TAO_CEC_MT_Dispatching.

virtual void TAO_CEC_Dispatching::push_nocopy ( | TAO_CEC_ProxyPushSupplier * proxy,
| CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| Reimplemented in TAO_CEC_Reactive_Dispatching, and TAO_CEC_MT_Dispatching.

void TAO_CEC_Dispatching::shutdown ( | void )`[pure virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented in TAO_CEC_Reactive_Dispatching, and TAO_CEC_MT_Dispatching.

The documentation for this class was generated from the following file:

- CEC_Dispatching.h